#
# FILE HEADER TEXT
#
$filehead = <<'END OF BLOCK';
// =====================
// BATTLEZONE BASE PANEL
// =====================

//
// CREATE BASE PANEL
//
CreateControl("BasePanel", "STATIC")
{
	Pos(5, 5);
	Size(208, 54);
	Style("TRANSPARENT");

	CreateControl("Power", "STATIC")
	{
		Pos(0, 0);
		Size(38, 50);
		Image("base_icon_bg.tga", 38, 50);

		CreateControl("Icon", "STATIC")
		{
			ColorGroup("GROUPICON");
			Pos(3, 0);
			Size(32, 32);
			Image("icon_base.tga");
		}

		CreateControl("Text", "STATIC")
		{
			Pos(0, 32);
			Size(38, 9);
			Style("TRANSPARENT");

			Font("SMALL");
			Text("%+d");
			UseVar("control.base.power");
		}
	}

	CreateControl("Nav", "BUTTON")
	{
		Pos(45, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(0);
		
		NotifyParent("Button::Select", "Nav");

		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("~");

			UseVar("control.base.select");
			Value(0);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(0);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_nav.tga");
			}
		}
	}
	
	OnEvent("Nav")
	{
		Cmd("control.base.nav");
	}
END OF BLOCK
$filehead =~ s/\n/\\n/g;
$filehead =~ s/\"/\\\"/g;



#
# BASE TEXT
#
$base = <<'END OF BLOCK';

	CreateControl("Base${basenum}", "BUTTON")
	{
		Pos(${basexpos}, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(${basenum});

		NotifyParent("Button::Select", "Base${basenum}");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("${basenum}");

			UseVar("control.base.select");
			Value(${basenum});
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(${basenum});

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base${basenum}")
	{
		Cmd("control.base.set${basenum}");
	}
END OF BLOCK
$base =~ s/\n/\\n/g;
$base =~ s/\"/\\\"/g;



#
# FILE FOOTER TEXT
#
$filefoot = <<'END OF BLOCK';
}
END OF BLOCK
$filefoot =~ s/\n/\\n/g;



#
# PRINT OUTPUT
#

# print file header
eval "print \"$filehead\"";

# for each group...
for $basenum (1 .. 3)
{
	# generate outer loop values
	$basexpos = 90 + ($basenum - 1) * 40;

	# print base text
	eval "print \"$base\"";
}

# print file footer
eval "print \"$filefoot\"";
